## weresync 1.1.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/WereSync.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/WereSync.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/WereSync"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/WereSync"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## weresync 1.0.7

=== debian/changelog ===
weresync (1.0.7-1) unstable; urgency=low

  * Initial release (Closes: #849716) 

 -- Daniel Manila <daniel.develop@manilas.net>  Fri, 30 Jun 2017 12:20:41 +0600

=== debian/control ===
Source: weresync
Section: admin
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Daniel Manila <daniel.develop@manilas.net>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-alabaster,
               python3-all,
               python3-docutils,
               python3-parse,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-yapsy
Standards-Version: 4.0.0
Testsuite: autopkgtest
Homepage: https://github.com/DonyorM/weresync
X-Python3-Version: >= 3.4
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/weresync/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/weresync/trunk/

Package: weresync
Architecture: all
Depends: python3-gi, ${misc:Depends}, ${python3:Depends}
Suggests: weresync-doc
Description: incrementally clones running drives
 This package allows you to clone your drive to a target drive. It clones the
 drive incrementally, so after the first clone it will take a much shorter time.
 It provides both the "weresync" and "weresync-gui" commands, in order to run
 the program.
 .
 Why use WereSync?
 .
 WereSync is accessible to less-technical users. It comes with a simple
 interface and clone a drive with a single command while your computer is
 running. No booting to a live disk or pushing through a long initiation
 process. Unlike dd or CloneZilla, WereSync requires a low level of technical
 skill and has an easy learning curve
 .
 WereSync can run while the your main drive is being used, instead of blocking
 your computer up for hours at a time
 .
 WereSync will incrementally update clones, making subsequent clones much
 faster.
 .
 WereSync works quickly, a single command copies your entire drive, no booting
 to live CDs or managing MBRs.
 .
 WereSync can copy to a smaller drive, provided your drive's data will fit.
 .
 WereSync creates new UUIDs for the new partitions, allowing you to use the
 old and new drives alongside each other.

Package: weresync-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: incrementally clones running drives (documentation package)
 This package allows you to clone your drive to a target drive. It clones the
 drive incrementally, so after the first clone it will take a much shorter time.
 It provides both the "weresync" and "weresync-gui" commands, in order to run
 the program.
 .
 Why use WereSync?
 .
 WereSync is accessible to less-technical users. It comes with a simple
 interface and clone a drive with a single command while your computer is
 running. No booting to a live disk or pushing through a long initiation
 process. Unlike dd or CloneZilla, WereSync requires a low level of technical
 skill and has an easy learning curve
 .
 WereSync can run while the your main drive is being used, instead of blocking
 your computer up for hours at a time
 .
 WereSync will incrementally update clones, making subsequent clones much
 faster.
 .
 WereSync works quickly, a single command copies your entire drive, no booting
 to live CDs or managing MBRs.
 .
 WereSync can copy to a smaller drive, provided your drive's data will fit.
 .
 WereSync creates new UUIDs for the new partitions, allowing you to use the
 old and new drives alongside each other.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE = 1
export PYBUILD_DESTDIR = debian/weresync
export PYBUILD_INSTALL_ARGS = --install-lib=/usr/share/weresync/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild 

override_dh_auto_install:
	dh_auto_install
	mv debian/weresync/usr/bin/weresync debian/weresync/usr/share/weresync/run
	mv debian/weresync/usr/bin/weresync-gui debian/weresync/usr/share/weresync/run-gui
	find debian/weresync/usr/share/ -type f -not -name "run*" -exec chmod -x {} \; # Temporary fix to remove uneeded executable files. Next upstream version will have only properly executable files marked that way. 

override_dh_auto_build:
	        dh_auto_build
		https_proxy=127.0.0.1:9 http_proxy=127.0.0.1:9 PYTHONPATH=. python3 `which sphinx-build` -N -bhtml docs/source build/html # HTML generator

## weresync 1.0.9

=== debian/changelog ===
weresync (1.0.9-1) unstable; urgency=high

  * Team upload.
  * New upstream release before switching to dbus and weresync-daemon.
  * Rebuild package. (Closes: #917729)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove Testsuite field, not needed anymore
  * d/rules: Remove trailing whitespaces
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13.
  * Enarmor upstream signing key.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + weresync-doc: Add Multi-Arch: foreign.

  [ Boyuan Yang ]
  * debian/rules: Use dh13 syntax.
  * debian/control: Add missing dependency fdisk. (Closes: #872103)
  * debian/weresync-doc.doc-base: Update documentation path.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Feb 2021 11:39:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: weresync
 Section: admin
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniel Manila <daniel.develop@manilas.net>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-alabaster,
                python3-all,
@@ -13,16 +13,18 @@
                python3-setuptools,
                python3-sphinx,
                python3-yapsy
-Standards-Version: 4.0.0
-Testsuite: autopkgtest
+Standards-Version: 4.5.1
 Homepage: https://github.com/DonyorM/weresync
-X-Python3-Version: >= 3.4
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/weresync/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/weresync/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/packages/weresync.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/weresync
 
 Package: weresync
 Architecture: all
-Depends: python3-gi, ${misc:Depends}, ${python3:Depends}
+Depends:
+ python3-gi,
+ fdisk | util-linux (<< 2.29.2-3~),
+ ${misc:Depends},
+ ${python3:Depends},
 Suggests: weresync-doc
 Description: incrementally clones running drives
  This package allows you to clone your drive to a target drive. It clones the
@@ -56,6 +58,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: incrementally clones running drives (documentation package)
  This package allows you to clone your drive to a target drive. It clones the
  drive incrementally, so after the first clone it will take a much shorter time.

=== debian/tests/control ===
Tests: main
Depends: @, python3-pytest

## weresync 1.1.5

=== debian/changelog ===
weresync (1.1.5-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-distutils (Closes: #1066008, LP: #1957826)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 May 2024 13:40:25 +0200

weresync (1.1.5-1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * Team upload.
  * New upstream release.
  * debian/control: Add Rules-Requires-Root line.
                    Add Depends on gir1.2-gtk-3.0.
  * debian/copyright: Update debian copyright year.
  * debian/source/include-binaries: Remove file.

  [ Timo Röhling ]
  * Bump Standards-Version to 4.6.2

  [ Hans Joachim Desserud ]
  * debian/control: Add depends on python3-distutils (Closes: #1006129)

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Wed, 19 Jul 2023 21:10:11 +0300

weresync (1.0.9-3) unstable; urgency=medium

  * Team upload.
  * Test-depend on e2fsprogs
  * Use pytest, not py.test (Closes: #1040568)

 -- Timo Röhling <roehling@debian.org>  Sun, 16 Jul 2023 20:36:42 +0200

weresync (1.0.9-2) unstable; urgency=high

  * Team upload.
  * debian/clean: Clean .mo files to avoid build error under
    some setup. (Closes: #991655)
  * debian/control: Add gettext as build-dependency.
  * debian/manpages: Rename to debian/weresync.manpages.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Sun, 29 Aug 2021 18:03:41 -0400

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Daniel Manila <daniel.develop@manilas.net>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               gettext,
                python3-alabaster,
                python3-all,
                python3-docutils,
@@ -12,8 +13,10 @@
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
-               python3-yapsy
-Standards-Version: 4.5.1
+               python3-yapsy,
+               e2fsprogs <!nocheck>,
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/DonyorM/weresync
 Vcs-Git: https://salsa.debian.org/python-team/packages/weresync.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/weresync
@@ -22,6 +25,7 @@
 Architecture: all
 Depends:
  python3-gi,
+ gir1.2-gtk-3.0,
  fdisk | util-linux (<< 2.29.2-3~),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE = 1
export PYBUILD_DESTDIR = debian/weresync
export PYBUILD_INSTALL_ARGS = --install-lib=/usr/share/weresync/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_install:
	mv debian/weresync/usr/bin/weresync debian/weresync/usr/share/weresync/run
	mv debian/weresync/usr/bin/weresync-gui debian/weresync/usr/share/weresync/run-gui
	find debian/weresync/usr/share/ -type f -not -name "run*" -exec chmod -x {} \; # Temporary fix to remove uneeded executable files. Next upstream version will have only properly executable files marked that way.

execute_after_dh_auto_build:
		https_proxy=127.0.0.1:9 http_proxy=127.0.0.1:9 PYTHONPATH=. python3 `which sphinx-build` -N -bhtml docs/source build/html # HTML generator

=== debian/tests/control ===
Tests: main
Depends: @, python3-pytest, e2fsprogs
